Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.framework.server.util
Interface TopologyMonitorServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  TopologyMonitorService

public interface TopologyMonitorServiceMBean
extends org.jboss.system.ServiceMBean

A utility mbean that monitors membership of a cluster parition

Version:
  $Revision: 1.5 $
Author:
  Scott.Stark@jboss.org

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`Vector` | `getClusterNodes()` Get the current cluster parition membership info
`String` | `getPartitionName()` Get the cluster parition name the mbean is monitoring
`javax.management.ObjectName` | `getTriggerServiceName()` Get the trigger mbean to notify on cluster membership changes
`void` | `setPartitionName(String name)` Set the cluster parition name the mbean is monitoring
`void` | `setTriggerServiceName(javax.management.ObjectName name)` Set the trigger mbean to notify on cluster membership changes

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getPartitionName

    public String getPartitionName()

  Get the cluster parition name the mbean is monitoring

### setPartitionName

    public void setPartitionName(String name)

  Set the cluster parition name the mbean is monitoring

### getTriggerServiceName

    public javax.management.ObjectName getTriggerServiceName()

  Get the trigger mbean to notify on cluster membership changes

### setTriggerServiceName

    public void setTriggerServiceName(javax.management.ObjectName name)

  Set the trigger mbean to notify on cluster membership changes

### getClusterNodes

    public Vector getClusterNodes()

  Get the current cluster parition membership info

  Returns:
    a Vector of org.jgroups.Address implementations, for example, org.jgroups.stack.IpAddress

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.